using System.Net;

namespace adas_core.Domain.Exceptions;

public class LoginServicesException : BusinessException
{
    public LoginServicesException(string message) :
        base(HttpStatusCode.BadRequest, $"Login service error: {message}")
    {
    }

    public LoginServicesException(string message, Exception exception) : base($"Login service error: {message}",
        exception)
    {
    }
}